vector_stores
Add Items
PUT
/
api
/
v1
/
vector_stores
/
{vector_store_id}
Add Items
curl --request PUT \
--url https://api.example.com/api/v1/vector_stores/{vector_store_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
[
{
"document_id": "<string>",
"text": "<string>",
"embedding": [
123
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "platform_file",
"model_id": "platform",
"metadata": {}
}
]
'import requests
url = "https://api.example.com/api/v1/vector_stores/{vector_store_id}"
payload = [
{
"document_id": "<string>",
"text": "<string>",
"embedding": [123],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "platform_file",
"model_id": "platform",
"metadata": {}
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
document_id: '<string>',
text: '<string>',
embedding: [123],
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
document_type: 'platform_file',
model_id: 'platform',
metadata: {}
}
])
};
fetch('https://api.example.com/api/v1/vector_stores/{vector_store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBasicHTTPBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Query Parameters
Body
application/json
Available options:
platform_file, external Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Show child attributes
Show child attributes
Response
Successful Response
⌘I
Add Items
